Ghana ID Card
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/ghana_kyc/id_card/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"identification_number": "<string>"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/ghana_kyc/id_card/"
payload = { "identification_number": "<string>" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({identification_number: '<string>'})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/ghana_kyc/id_card/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Ghana
Carte d'identité Ghana
Vérifiez l’identité d’un client à l’aide de son numéro de Carte d’identité Ghana.
POST
/
api
/
onboarding
/
ghana_kyc
/
id_card
/
Ghana ID Card
L’endpoint Carte d’identité Ghana valide un numéro de Carte d’identité Ghana et renvoie les détails personnels associés incluant le nom, la date de naissance, l’adresse et la photo.
Endpoint
POST /api/onboarding/ghana_kyc/id_card/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
identification_number | string | Oui | Le numéro de Carte d’identité Ghana du client (format : GHA-000000000-0) |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/ghana_kyc/id_card/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"identification_number": "GHA-000000000-0"}'
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
data.FullName | string | Nom complet |
data.FirstName | string | Prénom |
data.LastName | string | Nom de famille |
data.OtherNames | string | Autres noms |
data.DOB | string | Date de naissance (YYYY-MM-DD) |
data.Gender | string | Genre |
data.PhoneNumber | string | Numéro de téléphone enregistré |
data.Address | string | Adresse enregistrée |
data.Country | string | Pays |
data.IDNumber | string | Numéro de Carte d’identité Ghana |
data.IssuanceDate | string | Date de délivrance de la carte |
data.ExpiryDate | string | Date d’expiration de la carte |
data.Photo | string | Photo du client encodée en base64 |
{
"status": "success",
"data": {
"FullName": "JOHN DOE",
"FirstName": "JOHN",
"LastName": "DOE",
"OtherNames": "",
"DOB": "1990-01-15",
"Gender": "Male",
"PhoneNumber": "+233501234567",
"Address": "ACCRA",
"Country": "GHANA",
"IDNumber": "GHA-000000000-0",
"IssuanceDate": "2020-01-15",
"ExpiryDate": "2030-01-15",
"Photo": "<base64-encoded-jpeg>"
},
"message": "ID Card details retrieved successfully"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}

